package net.xdocc;
import java.io.File;
import java.io.Serializable;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

public class CacheItem implements Serializable
{
	private static final long serialVersionUID = 1414616664616686693L;
	private long sourceLastModified;
	final private Set<File> generatedFiles = new HashSet<File>();
	final private Map<File, Long> dependecies = new HashMap<File, Long>();

	public long getSourceLastModified()
	{
		return sourceLastModified;
	}

	public void addGenerated(File generatedFile)
	{
		generatedFiles.add(generatedFile);
	}

	public Set<File> getGenerated()
	{
		return generatedFiles;
	}

	public boolean contains(File search)
	{
		return generatedFiles.contains(search);
	}

	public void setSourceLastModified(File source)
	{
		this.sourceLastModified = source.lastModified();
	}

	public int generatedCount()
	{
		return generatedFiles.size();
	}

	public void removeGenerated(File generated)
	{
		generatedFiles.remove(generated);
	}

	public void addDependency(File dependecy)
	{
		dependecies.put(dependecy, dependecy.lastModified());
	}

	public Map<File, Long> getDependencies()
	{
		return dependecies;
	}
}
