package net.xdocc;
import net.xdocc.virtualfilesystem.VirtualFile;

public class Contents
{
	public static ContentCompiler getFileHandler(Site site, VirtualFile virtualFile)
	{
		String[] exts = virtualFile.getExtensions();	
		if (exts.length == 0)
			return new ContentCopy(site, virtualFile);
		String suffix = exts[exts.length - 1];
		if (suffix.toLowerCase().equals("textile"))
			return new TextileHandler(site, virtualFile);
		else if (suffix.toLowerCase().equals("txt"))
			return new TextHandler(site, virtualFile);
		else if (suffix.toLowerCase().equals("jpg") || suffix.toLowerCase().equals("jpeg")|| suffix.toLowerCase().equals("png"))
			return new ImageHandler(site, virtualFile);
		else if (suffix.toLowerCase().equals("view"))
			return new ViewHandler(site, virtualFile);
		else
			return new ContentCopy(site, virtualFile);
	}
}
