package net.xdocc;
import java.util.ArrayList;
import java.util.List;

public class Document implements Comparable<Document>
{
	private final String name;
	private final String link;
	private final String date;
	private final long sort;
	//private Entry[] entries;
	private List<Entry> contents = new ArrayList<Entry>();

	public Document(String name, String link, String date, long sort)
	{
		this.name = name;
		this.link = link;
		this.date = date;
		this.sort = sort;
	}

	public String getName()
	{
		return name;
	}

	public String getLink()
	{
		return link;
	}

	public String getDate()
	{
		return date;
	}

	public Entry[] getEntries()
	{
		return contents.toArray(new Entry[] {});
	}

	public void addContent(Entry entry)
	{
		if (entry == null)
			return;
		contents.add(entry);
		//this.entries = getEntries();
	}

	@Override
	public int compareTo(Document o)
	{
		long diff = sort - o.sort;
		if (diff == 0)
			return name.compareTo(o.name);
		else
			return diff < 0 ? 1 : -1;
	}

	public boolean hasEntry()
	{
		return getEntries().length>0;
	}
}
